export default {
  bizCode: "roleinfo",
  name: "用户信息维护",
  list: [
    { title: '编码', key: 'code', sortable: true, insearch: true },
    { title: '角色', key: 'name', sortable: true, insearch: true },//slot--自定义列   insearch--是否快速查询
    { title: '是否系统', key: 'isSystem', sortable: false, insearch: false, slot: 'isSystem' },
    { title: '创建时间', key: 'created_at', insearch: false, slot: 'created_at' },
    {
      title: '操作',
      key: 'handle',
      button: [//这个数组中内容，需要按照权限字符串，在服务端构造
      ]
    }
  ],
  "form": {
    name: "xxx",
    main: [
      {
        "title": "基本信息",
        ctls: [
          { "type": "input", "label": "编码", "prop": "code", "placeHolder": "请输入角色编码", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
          { "type": "input", "label": "名称", "prop": "name", "placeHolder": "请输入角色名称", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
        ]
      },
    ],
    lists: [

    ]
  },
  "search": {
    name: "search",
    main: [
      {
        "title": "基本信息",
        "key": "baseinfo",
        ctls: [
          { "type": "input", "label": "编码", "prop": "code", "placeHolder": "请输入角色编码", "style": "", rules: [] },
          { "type": "input", "label": "名称", "prop": "name", "placeHolder": "请输入角色名称", "style": "", rules: [] },
        ]
      }
    ]

  },
  "auths": {
    "add": [
      { "icon": "ios-add-circle-outline", "title": "新增", "type": "text", "key": "create", "isOnGrid": true },
      { "icon": "ios-square-outline", "title": "保存", "type": "text", "key": "save", "isOnForm": true },
      // { "icon": "ios-cloud-download-outline", "title": "下载", "type": "text", "key": "export", "isOnGrid": true },
    ],
    "edit": [
      { "icon": "ios-create-outline", "title": "修改", "type": "text", "key": "edit", "isInRow": true }
    ],
    "delete": [
      { "icon": "ios-trash-outline", "title": "删除", "type": "text", "key": "delete", "isInRow": true },
    ],
    "common": [
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel", "isOnForm": true },
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "搜索", "type": "text", "key": "start-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "高级", "type": "text", "key": "adv-search", "isOnGrid": true },
    ],
  }
}
